<?php
/**
 * Channel encapsulates a row from the MythTV channel table
 *
 * Channel holds relevant data needed from the MythTV channel table.
 *
 * @version $Id: Channel.php,v 1.1 2006/02/26 20:33:05 dbattams Exp $
 * @author Derek Battams <derek@battams.ca>
 * @package MRE
 * @copyright 2006 GPL v2
 */

/**#@+
 * Required include
 */
require_once(APP_ROOT . '/class/SysConf.php');
/**#@-*/

/**
 * Channel represents a row from the channel table of MythTV
 *
 * @package MRE
 */
class Channel
{
   /**
    * @var integer Unique channel identifier
    */
   private $_chanid;

   /**
    * @var string The channel's callsign
    */
   private $_callsign;

   /**
    * Class constructor
    *
    * @param integer The unique id of the channel to load
    */
   public function __construct($chanid)
   {
      if(!is_numeric($chanid))
         trigger_error("Invalid channel ID [$chanid]", E_USER_ERROR);

      $db = SysConf::getInstance()->getDB();
      $qry = "SELECT callsign FROM channel WHERE chanid = $chanid";
      $res = $db->query($qry);
      if(DB::isError($res))
         trigger_error("Channel query failed!", E_USER_ERROR);
      if($res->numRows() != 1)
         trigger_error("Invalid number of rows!", E_USER_ERROR);
      $row = $res->fetchRow(DB_FETCHMODE_ORDERED);
      $this->_callsign = $row[0];
      $this->_chanid = $chanid;
      $res->free();
      return;
   }

   /**
    * Get the channel's callsign
    *
    * @return string The object's callsign property
    */
   public function getCallsign()
   {
      return $this->_callsign;
   }
}

?>
